Upgrade Boehm GC to 7.2alpha4.
[cacao.git] / src / mm / boehm-gc / libatomic_ops / tests / Makefile.in
1 # Makefile.in generated by automake 1.10.2 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 VPATH = @srcdir@
17 pkgdatadir = $(datadir)/@PACKAGE@
18 pkglibdir = $(libdir)/@PACKAGE@
19 pkgincludedir = $(includedir)/@PACKAGE@
20 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
21 install_sh_DATA = $(install_sh) -c -m 644
22 install_sh_PROGRAM = $(install_sh) -c
23 install_sh_SCRIPT = $(install_sh) -c
24 INSTALL_HEADER = $(INSTALL_DATA)
25 transform = $(program_transform_name)
26 NORMAL_INSTALL = :
27 PRE_INSTALL = :
28 POST_INSTALL = :
29 NORMAL_UNINSTALL = :
30 PRE_UNINSTALL = :
31 POST_UNINSTALL = :
32 build_triplet = @build@
33 host_triplet = @host@
34 target_triplet = @target@
35 TESTS = test_atomic$(EXEEXT) test_atomic_pthreads$(EXEEXT) \
36         test_stack$(EXEEXT) test_malloc$(EXEEXT)
37 check_PROGRAMS = test_atomic$(EXEEXT) test_atomic_pthreads$(EXEEXT) \
38         test_stack$(EXEEXT) test_malloc$(EXEEXT)
39 subdir = tests
40 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
41 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
42 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
43 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
44         $(ACLOCAL_M4)
45 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
46 CONFIG_HEADER = $(top_builddir)/src/config.h
47 CONFIG_CLEAN_FILES =
48 am_test_atomic_OBJECTS = test_atomic.$(OBJEXT)
49 test_atomic_OBJECTS = $(am_test_atomic_OBJECTS)
50 test_atomic_DEPENDENCIES = ../src/libatomic_ops.a
51 am_test_atomic_pthreads_OBJECTS =  \
52         test_atomic_pthreads-test_atomic.$(OBJEXT)
53 test_atomic_pthreads_OBJECTS = $(am_test_atomic_pthreads_OBJECTS)
54 test_atomic_pthreads_DEPENDENCIES = ../src/libatomic_ops.a
55 am_test_malloc_OBJECTS = test_malloc.$(OBJEXT)
56 test_malloc_OBJECTS = $(am_test_malloc_OBJECTS)
57 test_malloc_DEPENDENCIES = ../src/libatomic_ops_gpl.a \
58         ../src/libatomic_ops.a
59 am_test_stack_OBJECTS = test_stack.$(OBJEXT)
60 test_stack_OBJECTS = $(am_test_stack_OBJECTS)
61 test_stack_DEPENDENCIES = ../src/libatomic_ops_gpl.a \
62         ../src/libatomic_ops.a
63 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/src
64 depcomp = $(SHELL) $(top_srcdir)/depcomp
65 am__depfiles_maybe = depfiles
66 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
67         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
68 CCLD = $(CC)
69 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
70 SOURCES = $(test_atomic_SOURCES) $(test_atomic_pthreads_SOURCES) \
71         $(test_malloc_SOURCES) $(test_stack_SOURCES)
72 DIST_SOURCES = $(test_atomic_SOURCES) $(test_atomic_pthreads_SOURCES) \
73         $(test_malloc_SOURCES) $(test_stack_SOURCES)
74 ETAGS = etags
75 CTAGS = ctags
76 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
77 ACLOCAL = @ACLOCAL@
78 AMTAR = @AMTAR@
79 AUTOCONF = @AUTOCONF@
80 AUTOHEADER = @AUTOHEADER@
81 AUTOMAKE = @AUTOMAKE@
82 AWK = @AWK@
83 CC = @CC@
84 CCAS = @CCAS@
85 CCASDEPMODE = @CCASDEPMODE@
86 CCASFLAGS = @CCASFLAGS@
87 CCDEPMODE = @CCDEPMODE@
88 CFLAGS = @CFLAGS@
89 CPP = @CPP@
90 CPPFLAGS = @CPPFLAGS@
91 CYGPATH_W = @CYGPATH_W@
92 DEFS = @DEFS@
93 DEPDIR = @DEPDIR@
94 ECHO_C = @ECHO_C@
95 ECHO_N = @ECHO_N@
96 ECHO_T = @ECHO_T@
97 EGREP = @EGREP@
98 EXEEXT = @EXEEXT@
99 GREP = @GREP@
100 INSTALL = @INSTALL@
101 INSTALL_DATA = @INSTALL_DATA@
102 INSTALL_PROGRAM = @INSTALL_PROGRAM@
103 INSTALL_SCRIPT = @INSTALL_SCRIPT@
104 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
105 LDFLAGS = @LDFLAGS@
106 LIBOBJS = @LIBOBJS@
107 LIBS = @LIBS@
108 LTLIBOBJS = @LTLIBOBJS@
109 MAKEINFO = @MAKEINFO@
110 MKDIR_P = @MKDIR_P@
111 OBJEXT = @OBJEXT@
112 PACKAGE = @PACKAGE@
113 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
114 PACKAGE_NAME = @PACKAGE_NAME@
115 PACKAGE_STRING = @PACKAGE_STRING@
116 PACKAGE_TARNAME = @PACKAGE_TARNAME@
117 PACKAGE_URL = @PACKAGE_URL@
118 PACKAGE_VERSION = @PACKAGE_VERSION@
119 PATH_SEPARATOR = @PATH_SEPARATOR@
120 PICFLAG = @PICFLAG@
121 RANLIB = @RANLIB@
122 SET_MAKE = @SET_MAKE@
123 SHELL = @SHELL@
124 STRIP = @STRIP@
125 VERSION = @VERSION@
126 abs_builddir = @abs_builddir@
127 abs_srcdir = @abs_srcdir@
128 abs_top_builddir = @abs_top_builddir@
129 abs_top_srcdir = @abs_top_srcdir@
130 ac_ct_CC = @ac_ct_CC@
131 am__include = @am__include@
132 am__leading_dot = @am__leading_dot@
133 am__quote = @am__quote@
134 am__tar = @am__tar@
135 am__untar = @am__untar@
136 bindir = @bindir@
137 build = @build@
138 build_alias = @build_alias@
139 build_cpu = @build_cpu@
140 build_os = @build_os@
141 build_vendor = @build_vendor@
142 builddir = @builddir@
143 datadir = @datadir@
144 datarootdir = @datarootdir@
145 docdir = @docdir@
146 dvidir = @dvidir@
147 exec_prefix = @exec_prefix@
148 host = @host@
149 host_alias = @host_alias@
150 host_cpu = @host_cpu@
151 host_os = @host_os@
152 host_vendor = @host_vendor@
153 htmldir = @htmldir@
154 includedir = @includedir@
155 infodir = @infodir@
156 install_sh = @install_sh@
157 libdir = @libdir@
158 libexecdir = @libexecdir@
159 localedir = @localedir@
160 localstatedir = @localstatedir@
161 mandir = @mandir@
162 mkdir_p = @mkdir_p@
163 oldincludedir = @oldincludedir@
164 pdfdir = @pdfdir@
165 prefix = @prefix@
166 program_transform_name = @program_transform_name@
167 psdir = @psdir@
168 sbindir = @sbindir@
169 sharedstatedir = @sharedstatedir@
170 srcdir = @srcdir@
171 sysconfdir = @sysconfdir@
172 target = @target@
173 target_alias = @target_alias@
174 target_cpu = @target_cpu@
175 target_os = @target_os@
176 target_vendor = @target_vendor@
177 top_build_prefix = @top_build_prefix@
178 top_builddir = @top_builddir@
179 top_srcdir = @top_srcdir@
180 EXTRA_DIST = test_atomic.template list_atomic.template run_parallel.inc \
181            test_atomic_include.h
182
183 # We distribute test_atomic_include.h, since it's hard to regenerate
184 # on Windows without sed.
185 BUILT_SOURCES = test_atomic_include.h list_atomic.i
186 CLEANFILES = test_atomic_include.h list_atomic.c list_atomic.i
187 AM_CPPFLAGS = -I$(srcdir)/../src
188 test_atomic_SOURCES = test_atomic.c
189 test_atomic_LDADD = -lpthread ../src/libatomic_ops.a
190 test_atomic_pthreads_SOURCES = test_atomic.c 
191 test_atomic_pthreads_CPPFLAGS = -DAO_USE_PTHREAD_DEFS $(AM_CPPFLAGS)
192 test_atomic_pthreads_LDADD = -lpthread ../src/libatomic_ops.a
193 test_stack_SOURCES = test_stack.c 
194 test_stack_LDADD = -lpthread ../src/libatomic_ops_gpl.a ../src/libatomic_ops.a 
195 test_malloc_SOURCES = test_malloc.c 
196 test_malloc_LDADD = -lpthread ../src/libatomic_ops_gpl.a ../src/libatomic_ops.a 
197 all: $(BUILT_SOURCES)
198         $(MAKE) $(AM_MAKEFLAGS) all-am
199
200 .SUFFIXES:
201 .SUFFIXES: .c .o .obj
202 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
203         @for dep in $?; do \
204           case '$(am__configure_deps)' in \
205             *$$dep*) \
206               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
207                 && { if test -f $@; then exit 0; else break; fi; }; \
208               exit 1;; \
209           esac; \
210         done; \
211         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  tests/Makefile'; \
212         cd $(top_srcdir) && \
213           $(AUTOMAKE) --gnu  tests/Makefile
214 .PRECIOUS: Makefile
215 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
216         @case '$?' in \
217           *config.status*) \
218             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
219           *) \
220             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
221             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
222         esac;
223
224 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
225         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
226
227 $(top_srcdir)/configure:  $(am__configure_deps)
228         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
229 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
230         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
231
232 clean-checkPROGRAMS:
233         -test -z "$(check_PROGRAMS)" || rm -f $(check_PROGRAMS)
234 test_atomic$(EXEEXT): $(test_atomic_OBJECTS) $(test_atomic_DEPENDENCIES) 
235         @rm -f test_atomic$(EXEEXT)
236         $(LINK) $(test_atomic_OBJECTS) $(test_atomic_LDADD) $(LIBS)
237 test_atomic_pthreads$(EXEEXT): $(test_atomic_pthreads_OBJECTS) $(test_atomic_pthreads_DEPENDENCIES) 
238         @rm -f test_atomic_pthreads$(EXEEXT)
239         $(LINK) $(test_atomic_pthreads_OBJECTS) $(test_atomic_pthreads_LDADD) $(LIBS)
240 test_malloc$(EXEEXT): $(test_malloc_OBJECTS) $(test_malloc_DEPENDENCIES) 
241         @rm -f test_malloc$(EXEEXT)
242         $(LINK) $(test_malloc_OBJECTS) $(test_malloc_LDADD) $(LIBS)
243 test_stack$(EXEEXT): $(test_stack_OBJECTS) $(test_stack_DEPENDENCIES) 
244         @rm -f test_stack$(EXEEXT)
245         $(LINK) $(test_stack_OBJECTS) $(test_stack_LDADD) $(LIBS)
246
247 mostlyclean-compile:
248         -rm -f *.$(OBJEXT)
249
250 distclean-compile:
251         -rm -f *.tab.c
252
253 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_atomic.Po@am__quote@
254 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_atomic_pthreads-test_atomic.Po@am__quote@
255 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_malloc.Po@am__quote@
256 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_stack.Po@am__quote@
257
258 .c.o:
259 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
260 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
261 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
262 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
263 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
264
265 .c.obj:
266 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
267 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
268 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
269 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
270 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
271
272 test_atomic_pthreads-test_atomic.o: test_atomic.c
273 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_atomic_pthreads_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_atomic_pthreads-test_atomic.o -MD -MP -MF $(DEPDIR)/test_atomic_pthreads-test_atomic.Tpo -c -o test_atomic_pthreads-test_atomic.o `test -f 'test_atomic.c' || echo '$(srcdir)/'`test_atomic.c
274 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/test_atomic_pthreads-test_atomic.Tpo $(DEPDIR)/test_atomic_pthreads-test_atomic.Po
275 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='test_atomic.c' object='test_atomic_pthreads-test_atomic.o' libtool=no @AMDEPBACKSLASH@
276 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
277 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_atomic_pthreads_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_atomic_pthreads-test_atomic.o `test -f 'test_atomic.c' || echo '$(srcdir)/'`test_atomic.c
278
279 test_atomic_pthreads-test_atomic.obj: test_atomic.c
280 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_atomic_pthreads_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test_atomic_pthreads-test_atomic.obj -MD -MP -MF $(DEPDIR)/test_atomic_pthreads-test_atomic.Tpo -c -o test_atomic_pthreads-test_atomic.obj `if test -f 'test_atomic.c'; then $(CYGPATH_W) 'test_atomic.c'; else $(CYGPATH_W) '$(srcdir)/test_atomic.c'; fi`
281 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/test_atomic_pthreads-test_atomic.Tpo $(DEPDIR)/test_atomic_pthreads-test_atomic.Po
282 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='test_atomic.c' object='test_atomic_pthreads-test_atomic.obj' libtool=no @AMDEPBACKSLASH@
283 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
284 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_atomic_pthreads_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_atomic_pthreads-test_atomic.obj `if test -f 'test_atomic.c'; then $(CYGPATH_W) 'test_atomic.c'; else $(CYGPATH_W) '$(srcdir)/test_atomic.c'; fi`
285
286 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
287         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
288         unique=`for i in $$list; do \
289             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
290           done | \
291           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
292               END { if (nonempty) { for (i in files) print i; }; }'`; \
293         mkid -fID $$unique
294 tags: TAGS
295
296 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
297                 $(TAGS_FILES) $(LISP)
298         tags=; \
299         here=`pwd`; \
300         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
301         unique=`for i in $$list; do \
302             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
303           done | \
304           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
305               END { if (nonempty) { for (i in files) print i; }; }'`; \
306         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
307           test -n "$$unique" || unique=$$empty_fix; \
308           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
309             $$tags $$unique; \
310         fi
311 ctags: CTAGS
312 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
313                 $(TAGS_FILES) $(LISP)
314         tags=; \
315         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
316         unique=`for i in $$list; do \
317             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
318           done | \
319           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
320               END { if (nonempty) { for (i in files) print i; }; }'`; \
321         test -z "$(CTAGS_ARGS)$$tags$$unique" \
322           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
323              $$tags $$unique
324
325 GTAGS:
326         here=`$(am__cd) $(top_builddir) && pwd` \
327           && cd $(top_srcdir) \
328           && gtags -i $(GTAGS_ARGS) $$here
329
330 distclean-tags:
331         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
332
333 check-TESTS: $(TESTS)
334         @failed=0; all=0; xfail=0; xpass=0; skip=0; \
335         srcdir=$(srcdir); export srcdir; \
336         list=' $(TESTS) '; \
337         if test -n "$$list"; then \
338           for tst in $$list; do \
339             if test -f ./$$tst; then dir=./; \
340             elif test -f $$tst; then dir=; \
341             else dir="$(srcdir)/"; fi; \
342             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
343               all=`expr $$all + 1`; \
344               case " $(XFAIL_TESTS) " in \
345               *[\ \     ]$$tst[\ \      ]*) \
346                 xpass=`expr $$xpass + 1`; \
347                 failed=`expr $$failed + 1`; \
348                 echo "XPASS: $$tst"; \
349               ;; \
350               *) \
351                 echo "PASS: $$tst"; \
352               ;; \
353               esac; \
354             elif test $$? -ne 77; then \
355               all=`expr $$all + 1`; \
356               case " $(XFAIL_TESTS) " in \
357               *[\ \     ]$$tst[\ \      ]*) \
358                 xfail=`expr $$xfail + 1`; \
359                 echo "XFAIL: $$tst"; \
360               ;; \
361               *) \
362                 failed=`expr $$failed + 1`; \
363                 echo "FAIL: $$tst"; \
364               ;; \
365               esac; \
366             else \
367               skip=`expr $$skip + 1`; \
368               echo "SKIP: $$tst"; \
369             fi; \
370           done; \
371           if test "$$all" -eq 1; then \
372             tests="test"; \
373             All=""; \
374           else \
375             tests="tests"; \
376             All="All "; \
377           fi; \
378           if test "$$failed" -eq 0; then \
379             if test "$$xfail" -eq 0; then \
380               banner="$$All$$all $$tests passed"; \
381             else \
382               if test "$$xfail" -eq 1; then failures=failure; else failures=failures; fi; \
383               banner="$$All$$all $$tests behaved as expected ($$xfail expected $$failures)"; \
384             fi; \
385           else \
386             if test "$$xpass" -eq 0; then \
387               banner="$$failed of $$all $$tests failed"; \
388             else \
389               if test "$$xpass" -eq 1; then passes=pass; else passes=passes; fi; \
390               banner="$$failed of $$all $$tests did not behave as expected ($$xpass unexpected $$passes)"; \
391             fi; \
392           fi; \
393           dashes="$$banner"; \
394           skipped=""; \
395           if test "$$skip" -ne 0; then \
396             if test "$$skip" -eq 1; then \
397               skipped="($$skip test was not run)"; \
398             else \
399               skipped="($$skip tests were not run)"; \
400             fi; \
401             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
402               dashes="$$skipped"; \
403           fi; \
404           report=""; \
405           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
406             report="Please report to $(PACKAGE_BUGREPORT)"; \
407             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
408               dashes="$$report"; \
409           fi; \
410           dashes=`echo "$$dashes" | sed s/./=/g`; \
411           echo "$$dashes"; \
412           echo "$$banner"; \
413           test -z "$$skipped" || echo "$$skipped"; \
414           test -z "$$report" || echo "$$report"; \
415           echo "$$dashes"; \
416           test "$$failed" -eq 0; \
417         else :; fi
418
419 distdir: $(DISTFILES)
420         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
421         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
422         list='$(DISTFILES)'; \
423           dist_files=`for file in $$list; do echo $$file; done | \
424           sed -e "s|^$$srcdirstrip/||;t" \
425               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
426         case $$dist_files in \
427           */*) $(MKDIR_P) `echo "$$dist_files" | \
428                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
429                            sort -u` ;; \
430         esac; \
431         for file in $$dist_files; do \
432           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
433           if test -d $$d/$$file; then \
434             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
435             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
436               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
437             fi; \
438             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
439           else \
440             test -f $(distdir)/$$file \
441             || cp -p $$d/$$file $(distdir)/$$file \
442             || exit 1; \
443           fi; \
444         done
445 check-am: all-am
446         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
447         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
448 check: $(BUILT_SOURCES)
449         $(MAKE) $(AM_MAKEFLAGS) check-am
450 all-am: Makefile
451 installdirs:
452 install: $(BUILT_SOURCES)
453         $(MAKE) $(AM_MAKEFLAGS) install-am
454 install-exec: install-exec-am
455 install-data: install-data-am
456 uninstall: uninstall-am
457
458 install-am: all-am
459         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
460
461 installcheck: installcheck-am
462 install-strip:
463         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
464           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
465           `test -z '$(STRIP)' || \
466             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
467 mostlyclean-generic:
468
469 clean-generic:
470         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
471
472 distclean-generic:
473         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
474
475 maintainer-clean-generic:
476         @echo "This command is intended for maintainers to use"
477         @echo "it deletes files that may require special tools to rebuild."
478         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
479 clean: clean-am
480
481 clean-am: clean-checkPROGRAMS clean-generic mostlyclean-am
482
483 distclean: distclean-am
484         -rm -rf ./$(DEPDIR)
485         -rm -f Makefile
486 distclean-am: clean-am distclean-compile distclean-generic \
487         distclean-tags
488
489 dvi: dvi-am
490
491 dvi-am:
492
493 html: html-am
494
495 info: info-am
496
497 info-am:
498
499 install-data-am:
500
501 install-dvi: install-dvi-am
502
503 install-exec-am:
504
505 install-html: install-html-am
506
507 install-info: install-info-am
508
509 install-man:
510
511 install-pdf: install-pdf-am
512
513 install-ps: install-ps-am
514
515 installcheck-am:
516
517 maintainer-clean: maintainer-clean-am
518         -rm -rf ./$(DEPDIR)
519         -rm -f Makefile
520 maintainer-clean-am: distclean-am maintainer-clean-generic
521
522 mostlyclean: mostlyclean-am
523
524 mostlyclean-am: mostlyclean-compile mostlyclean-generic
525
526 pdf: pdf-am
527
528 pdf-am:
529
530 ps: ps-am
531
532 ps-am:
533
534 uninstall-am:
535
536 .MAKE: install-am install-strip
537
538 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
539         clean-checkPROGRAMS clean-generic ctags distclean \
540         distclean-compile distclean-generic distclean-tags distdir dvi \
541         dvi-am html html-am info info-am install install-am \
542         install-data install-data-am install-dvi install-dvi-am \
543         install-exec install-exec-am install-html install-html-am \
544         install-info install-info-am install-man install-pdf \
545         install-pdf-am install-ps install-ps-am install-strip \
546         installcheck installcheck-am installdirs maintainer-clean \
547         maintainer-clean-generic mostlyclean mostlyclean-compile \
548         mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \
549         uninstall-am
550
551
552 test_atomic_include.h: test_atomic.template
553         sed -e s/XX// $? > $@
554         sed -e s/XX/_release/ $? >> $@
555         sed -e s/XX/_acquire/ $? >> $@
556         sed -e s/XX/_read/ $? >> $@
557         sed -e s/XX/_write/ $? >> $@
558         sed -e s/XX/_full/ $? >> $@
559         sed -e s/XX/_release_write/ $? >> $@
560         sed -e s/XX/_acquire_read/ $? >> $@
561
562 list_atomic.c: list_atomic.template
563         echo "#include \"atomic_ops.h\" " > $@
564         sed -e s/XX// $? >> $@
565         sed -e s/XX/_release/ $? >> $@
566         sed -e s/XX/_acquire/ $? >> $@
567         sed -e s/XX/_read/ $? >> $@
568         sed -e s/XX/_write/ $? >> $@
569         sed -e s/XX/_full/ $? >> $@
570         sed -e s/XX/_release_write/ $? >> $@
571         sed -e s/XX/_acquire_read/ $? >> $@
572
573 list_atomic.i: list_atomic.c
574         $(COMPILE) $? -E > list_atomic.i
575 # Tell versions [3.59,3.63) of GNU make to not export all variables.
576 # Otherwise a system limit (for SysV at least) may be exceeded.
577 .NOEXPORT: